MintUpdate Problems (resolved, sorta)

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
red-e-made
Level 5
Level 5
Posts: 526
Joined: Sat Jul 14, 2007 11:31 am

MintUpdate Problems (resolved, sorta)

Post by red-e-made »

Seems everytime I install an update or a package, I get the following error message:

Image

Before you suggest it, yes, I have tried uninstalling and re-installing.

Please advise.
Last edited by red-e-made on Thu Aug 27, 2009 5:34 pm, edited 1 time in total.
User avatar
DrHu
Level 17
Level 17
Posts: 7522
Joined: Wed Jun 17, 2009 8:20 pm

Re: MintUpdate Problems

Post by DrHu »

red-e-made wrote:Before you suggest it, yes, I have tried uninstalling and re-installing.
If you need the package you are installing, you will have to work out the dependencies
--and the obvious way is simply to install the various package names being detected as missing due to dependency problems
--and do it in the order of failure, the first missing item was postgresql, so install that first before proceeding.

But before doing that, I would make sure your system is updated
--either in Synaptic, mintupdate or in the terminal..
clean up previous residue
  • computer janitor, mint menu>control center>System>Computer janitor
  • Bleachbit --you would need to install that
    --to flush some tmp, history, cache data
  • Check your /home. (dor files, hideen files) for posgresql or skytools ) and delete, after removing noth postgresql and skytools (if a partial install was made)
In terminal, check
  • sudo apt-get update
I have postgreqsl 8.3 installed and I had no problems with the installation
--I believe I used synaptic, and that took care of dependencies or told me what was missed
in terminal, check
  • apt search PostgreSQL
    i postgresql - object-relational SQL database (supported
Skytools..
http://www.teragridforum.org/mediawiki/ ... ools_setup
--also in repository
  • apt search skytools
    p skytools - Database management tools from Skype to Po
    p skytools-modules-8.3 - PostgreSQL modules of skytools
red-e-made
Level 5
Level 5
Posts: 526
Joined: Sat Jul 14, 2007 11:31 am

Re: MintUpdate Problems

Post by red-e-made »

DrHu wrote:
red-e-made wrote:Before you suggest it, yes, I have tried uninstalling and re-installing.
If you need the package you are installing, you will have to work out the dependencies
--and the obvious way is simply to install the various package names being detected as missing due to dependency problems
--and do it in the order of failure, the first missing item was postgresql, so install that first before proceeding.
Except I *do* have the packages I'm being told are missing.
red-e-made
Level 5
Level 5
Posts: 526
Joined: Sat Jul 14, 2007 11:31 am

Re: MintUpdate Problems

Post by red-e-made »

Furthermore, when attempting the Computer Janitor, I get an message saying that it couldn't properly clean the files because there was an error in /usr/bin/dpkg. So I'm guessing the problem runs deeper than postgresql.
red-e-made
Level 5
Level 5
Posts: 526
Joined: Sat Jul 14, 2007 11:31 am

Re: MintUpdate Problems (resolved, sorta)

Post by red-e-made »

Did a complete system re-install. Problem solved.
Post Reply

Return to “Software & Applications”